%define modulename zconfig

Name: python-module-%modulename
Version: 2.6.2
Release: alt1.1

Summary: Python configuration module from Zope
License: ZPL
Group: Development/Python

Url: http://www.zope.org/Members/fdrake/zconfig
BuildArch: noarch
Packager: Vladimir V. Kamarzin <vvk@altlinux.org>

Source: %name-%version.tar

%setup_python_module %modulename

%description
ZConfig is a configuration library intended for general use. It supports a
hierarchical schema-driven configuration model that allows a schema to specify
data conversion routines written in Python. ZConfig\'s model is very different
from the model supported by the ConfigParser module found in Python\'s standard
library, and is more suitable to configuration-intensive applications.

ZConfig schema are written in an XML-based language and are able to \"import\"
schema components provided by Python packages. Since components are able to
bind to conversion functions provided by Python code in the package (or
elsewhere), configuration objects can be arbitrarily complex, with values that
have been verified against arbitrary constraints. This makes it easy for
applications to separate configuration support from configuration loading even
with configuration data being defined and consumed by a wide range of separate
packages.

Authors:
--------
Zope Corporation < zodb-devAATTzope.org>

%prep
%setup

%build
%python_build

%install
%python_install

%files
%python_sitelibdir/ZConfig/
%python_sitelibdir/*.egg-info

%changelog
* Wed Nov 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.6.2-alt1.1
- Rebuilt with python 2.6

* Tue Mar 31 2009 Vladimir V. Kamarzin <vvk@altlinux.org> 2.6.2-alt1
- Initial build for Sisyphus

